Package ru.bitel.bgbilling.modules.runtel.server.bean

# Class RunTelContractTariffDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<RunTelContractTariff>
ru.bitel.bgbilling.modules.runtel.server.bean.RunTelContractTariffDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class RunTelContractTariffDao
    extends ru.bitel.common.dao.AbstractIdDao<RunTelContractTariff>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RunTelContractTariffDao​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected int` | `deleteImpl​(int id)` |
  `RunTelContractTariff` | `get​(int contractId, java.time.LocalDate date)` |
  `protected RunTelContractTariff` | `getFromRS​(java.sql.ResultSet rs)` |
  `java.time.LocalDateTime` | `getOnDate​(int contractId)` |
  `java.util.List<RunTelContractTariff>` | `getRunTelContractTariffs​(int contractId, PeriodWithTime period)` |
  `java.util.List<RunTelContractTariff>` | `getRunTelContractTariffs​(java.time.LocalDateTime date)` |
  `java.util.List<RunTelContractTariff>` | `getRunTelContractTariffs​(Period period)` |
  `void` | `updateDateTo​(int contractTariffId, java.time.LocalDateTime dateTo)` |
  `protected void` | `updateImpl​(RunTelContractTariff runTelContractTariff)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RunTelContractTariffDao

    public RunTelContractTariffDao​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### getRunTelContractTariffs

    public java.util.List<RunTelContractTariff> getRunTelContractTariffs​(java.time.LocalDateTime date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRunTelContractTariffs

    public java.util.List<RunTelContractTariff> getRunTelContractTariffs​(Period period) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRunTelContractTariffs

    public java.util.List<RunTelContractTariff> getRunTelContractTariffs​(int contractId, PeriodWithTime period) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getOnDate

    public java.time.LocalDateTime getOnDate​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public RunTelContractTariff get​(int contractId, java.time.LocalDate date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteImpl

    protected int deleteImpl​(int id) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Overrides:
      `deleteImpl` in class `ru.bitel.common.dao.AbstractDao<RunTelContractTariff>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### getFromRS

    protected RunTelContractTariff getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<RunTelContractTariff>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(RunTelContractTariff runTelContractTariff) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<RunTelContractTariff>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### updateDateTo

    public void updateDateTo​(int contractTariffId, java.time.LocalDateTime dateTo) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`